Subject: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Aaron Jensen <[email-masked]>
Date: Tue, 22 May 2018 05:51:51 -0700

On Tue, May 22, 2018 at 1:40 AM martin rudalics <[email-masked]> wrote:

>   >> Also can you try with horizontal scroll bars enabled?
>   >
>   > Same thing.

> Does the finger pointer show up when you move the mouse over the
> scroll bar or just above the scroll bar?  Also does the finger pointer
> show up over the whole line or just above the regions where some help
> echo would be normally shown?  And, if you set 'resize-mini-windows'
> to nil, does a vertical drag cursor show up too, somewhere near the
> end of the fictitious mode line?

It looks like I can't repro in emacs -Q with horizontal scroll bars
enabled. I still can with my config, I don't know what the difference is.

It turns out the finger pointer shows up when my mouse is over the modeline
of the parent frame. With emacs -Q the child frame happens to overlap it.
If I move it away, I can't see the pointer anymore.

'resize-mini-windows' as nil doesn't seem to cause a vertical drag cursor
to show up on the child frame if I move it away from the parent frame.

Here's a gif of what's happening:

https://cl.ly/3T2Z2S0a1x27/Screen%20Recording%202018-05-22%20at%2005.44%20AM.gif

Aaron